## DSD Set APN Type request DSD Set APN Type request |

## Functions

QmiMessageDsdSetApnTypeInput * | qmi_message_dsd_set_apn_type_input_new ()
QmiMessageDsdSetApnTypeInput * | qmi_message_dsd_set_apn_type_input_ref ()
void | qmi_message_dsd_set_apn_type_input_unref ()
gboolean | qmi_message_dsd_set_apn_type_input_get_apn_type_preference_mask ()
gboolean | qmi_message_dsd_set_apn_type_input_set_apn_type_preference_mask ()
gboolean | qmi_message_dsd_set_apn_type_input_get_apn_type ()
gboolean | qmi_message_dsd_set_apn_type_input_set_apn_type ()
QmiMessageDsdSetApnTypeOutput * | qmi_message_dsd_set_apn_type_output_ref ()
void | qmi_message_dsd_set_apn_type_output_unref ()
gboolean | qmi_message_dsd_set_apn_type_output_get_result ()
void | qmi_client_dsd_set_apn_type ()
QmiMessageDsdSetApnTypeOutput * | qmi_client_dsd_set_apn_type_finish ()

## Types and Values

| QmiMessageDsdSetApnTypeInput
| QmiMessageDsdSetApnTypeOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageDsdSetApnTypeInput
        ╰── QmiMessageDsdSetApnTypeOutput

## Description

## Functions

### qmi_message_dsd_set_apn_type_input_new ()

    QmiMessageDsdSetApnTypeInput *
    qmi_message_dsd_set_apn_type_input_new
                                   (void);

Allocates a new QmiMessageDsdSetApnTypeInput.

#### Returns

the newly created QmiMessageDsdSetApnTypeInput. The returned value should be freed with `qmi_message_dsd_set_apn_type_input_unref()`.

Since: 1.26

### qmi_message_dsd_set_apn_type_input_ref ()

    QmiMessageDsdSetApnTypeInput *
    qmi_message_dsd_set_apn_type_input_ref
                                   (QmiMessageDsdSetApnTypeInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDsdSetApnTypeInput. |

#### Returns

the new reference to `self` .

Since: 1.26

### qmi_message_dsd_set_apn_type_input_unref ()

    void
    qmi_message_dsd_set_apn_type_input_unref
                                   (QmiMessageDsdSetApnTypeInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDsdSetApnTypeInput. |

Since: 1.26

### qmi_message_dsd_set_apn_type_input_get_apn_type_preference_mask ()

    gboolean
    qmi_message_dsd_set_apn_type_input_get_apn_type_preference_mask
                                   (QmiMessageDsdSetApnTypeInput *self,
                                    QmiDsdApnTypePreference *value_apn_type_preference_mask,
                                    GError **error);

Get the 'APN Type Preference Mask' field from `self` .

#### Parameters

self | a QmiMessageDsdSetApnTypeInput. |
value_apn_type_preference_mask | a placeholder for the output QmiDsdApnTypePreference, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_dsd_set_apn_type_input_set_apn_type_preference_mask ()

    gboolean
    qmi_message_dsd_set_apn_type_input_set_apn_type_preference_mask
                                   (QmiMessageDsdSetApnTypeInput *self,
                                    QmiDsdApnTypePreference value_apn_type_preference_mask,
                                    GError **error);

Set the 'APN Type Preference Mask' field in the message.

#### Parameters

self | a QmiMessageDsdSetApnTypeInput. |
value_apn_type_preference_mask | a QmiDsdApnTypePreference. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_dsd_set_apn_type_input_get_apn_type ()

    gboolean
    qmi_message_dsd_set_apn_type_input_get_apn_type
                                   (QmiMessageDsdSetApnTypeInput *self,
                                    const gchar **value_apn_type_name,
                                    QmiDsdApnTypePreference *value_apn_type_type,
                                    GError **error);

Get the 'APN Type' field from `self` .

#### Parameters

self | a QmiMessageDsdSetApnTypeInput. |
value_apn_type_name | a placeholder for the output constant string, or `NULL` if not required. | [out]
value_apn_type_type | a placeholder for the output QmiDsdApnTypePreference, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_dsd_set_apn_type_input_set_apn_type ()

    gboolean
    qmi_message_dsd_set_apn_type_input_set_apn_type
                                   (QmiMessageDsdSetApnTypeInput *self,
                                    const gchar *value_apn_type_name,
                                    QmiDsdApnTypePreference value_apn_type_type,
                                    GError **error);

Set the 'APN Type' field in the message.

#### Parameters

self | a QmiMessageDsdSetApnTypeInput. |
value_apn_type_name | a constant string. |
value_apn_type_type | a QmiDsdApnTypePreference. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_dsd_set_apn_type_output_ref ()

    QmiMessageDsdSetApnTypeOutput *
    qmi_message_dsd_set_apn_type_output_ref
                                   (QmiMessageDsdSetApnTypeOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDsdSetApnTypeOutput. |

#### Returns

the new reference to `self` .

Since: 1.26

### qmi_message_dsd_set_apn_type_output_unref ()

    void
    qmi_message_dsd_set_apn_type_output_unref
                                   (QmiMessageDsdSetApnTypeOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDsdSetApnTypeOutput. |

Since: 1.26

### qmi_message_dsd_set_apn_type_output_get_result ()

    gboolean
    qmi_message_dsd_set_apn_type_output_get_result
                                   (QmiMessageDsdSetApnTypeOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDsdSetApnTypeOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.26

### qmi_client_dsd_set_apn_type ()

    void
    qmi_client_dsd_set_apn_type (QmiClientDsd *self,
                                 QmiMessageDsdSetApnTypeInput *input,
                                 guint timeout,
                                 GCancellable *cancellable,
                                 GAsyncReadyCallback callback,
                                 gpointer user_data);

Asynchronously sends a Set APN Type request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dsd_set_apn_type_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDsd. |
input | a QmiMessageDsdSetApnTypeInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.26

### qmi_client_dsd_set_apn_type_finish ()

    QmiMessageDsdSetApnTypeOutput *
    qmi_client_dsd_set_apn_type_finish (QmiClientDsd *self,
                                        GAsyncResult *res,
                                        GError **error);

Finishes an async operation started with `qmi_client_dsd_set_apn_type()`.

#### Parameters

self | a QmiClientDsd. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dsd_set_apn_type()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDsdSetApnTypeOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dsd_set_apn_type_output_unref()`.

Since: 1.26

## Types and Values

### QmiMessageDsdSetApnTypeInput

    typedef struct _QmiMessageDsdSetApnTypeInput QmiMessageDsdSetApnTypeInput;

The QmiMessageDsdSetApnTypeInput structure contains private data and should only be accessed using the provided API.

Since: 1.26

### QmiMessageDsdSetApnTypeOutput

    typedef struct _QmiMessageDsdSetApnTypeOutput QmiMessageDsdSetApnTypeOutput;

The QmiMessageDsdSetApnTypeOutput structure contains private data and should only be accessed using the provided API.

Since: 1.26